Bug 178958 - up2date takes several minutes to time-out and cannot be killed when server is unreachable
up2date takes several minutes to time-out and cannot be killed when server is...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
:
Depends On:
Blocks: 179647
  Show dependency treegraph
 
Reported: 2006-01-25 14:31 EST by Beth Nackashi
Modified: 2013-02-26 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:22:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beth Nackashi 2006-01-25 14:31:08 EST
+++ This bug was initially created as a clone of Bug #178957 +++

Description of problem:
If up2date cannot reach the host, the 'up2date' command cannot be ctrl-c'd and
it takes many minutes to come back with a response:

[root@test01-ia64 tmp]# up2date
Error communicating with server. The message was:
Connection timed out


Version-Release number of selected component (if applicable):
up2date-4.4.63-3

How reproducible:
always

Steps to Reproduce:
1- ks a client to rhel 3 u6, include @ Everything in ks profile
2- ssh -Y <client>
3- on client:  install latest up2date from
/nfs/redhat/beehive/comps/dist/3.0E-qu-candidate/
4- register the client to webqa
5- on client:  run block-host.sh script to block firstboot's connections to
webqa:   ./block-host.sh xmlrpc.rhn.webqa.redhat.com  (NOTE:  block-host.sh
needs to be loaded on the client from wherever it's stored -- maybe
/usr/local/bin locally?)  This will allow pings to the host but will prevent
udp/tcp connections.
6- run 'update' on client

  
Actual results:
'up2date' sits for many minutes.  It cannot be killed by ctrl-c.  You have to
open a new session to kill it, and even then it requires kill -9.  If you don't
kill it, it will eventually return a 'Connection timed out message.'

Expected results:
Either make up2date killable via ctrl-c or reduce the time-out period.

Additional info:

-- Additional comment from bnackash@redhat.com on 2006-01-25 14:30 EST --
With the host blocked:

[root@test05-64 root]# iptables -L
Chain INPUT (policy ACCEPT)
target     prot opt source               destination
BLOCK_HOST_TABLE  all  --  anywhere             anywhere

Chain FORWARD (policy ACCEPT)
target     prot opt source               destination

Chain OUTPUT (policy ACCEPT)
target     prot opt source               destination
BLOCK_HOST_TABLE  all  --  anywhere             anywhere

Chain BLOCK_HOST_TABLE (2 references)
target     prot opt source               destination
LOGGED_DROP  udp  --  anywhere             xmlrpc.rhn.webqa.redhat.com
LOGGED_DROP  tcp  --  anywhere             xmlrpc.rhn.webqa.redhat.com

Chain LOGGED_DROP (2 references)
target     prot opt source               destination
LOG        all  --  anywhere             anywhere           LOG level info
DROP       all  --  anywhere             anywhere
Comment 2 Jiri Pallich 2012-06-20 09:22:18 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.